Search Gradle plugins

nrlssc.gradle

Configures boilerplate NRLSSC Enterprise

https://geoint.nrlssc.org/

Version 1.26.34 (latest)

Created 27 July 2020.

Configures boilerplate NRLSSC Enterprise

Using the plugins DSL:

plugins {
  id "nrlssc.gradle" version "1.26.34"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "mil.navy.nrlssc:nrl-plugin:1.26.34"
  }
}

apply plugin: "nrlssc.gradle"

Using the plugins DSL:

plugins {
  id("nrlssc.gradle") version "1.26.34"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("mil.navy.nrlssc:nrl-plugin:1.26.34")
  }
}

apply(plugin = "nrlssc.gradle")

Learn how to apply plugins to subprojects